#!/bin/sh

umount loop &> /dev/null
rm -rf loop initrd.img initrd.gz
dd if=/dev/zero of=initrd.img bs=1024 count=12288
mke2fs -F -N 1024 -m 0 initrd.img
tune2fs -c 0 -i 0 initrd.img
mkdir loop
mount -oloop initrd.img loop || exit 1
rmdir loop/lost+found
cp -av bootcd/* bootcd/.??* loop/
df loop
umount loop
rm -rf loop
echo "Compressing image..."
gzip -c -9 initrd.img > initrd.gz
ls -lsF --color initrd.img initrd.gz
